Skip to main content
DELETE
/
terraform
/
{terraformId}
Delete Terraform
curl --request DELETE \
  --url https://api.qovery.com/terraform/{terraformId} \
  --header 'Authorization: Bearer <token>'

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-ai-use-cases-highlight.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

terraformId
string<uuid>
required

Terraform ID

Query Parameters

resources_only
boolean
default:false

When true, only resources are deleted and Qovery configuration is kept.

force_terraform_action
enum<string>

Force a specific action to be executed by Terraform during deletion. Action to force a specific Terraform behavior during deletion/uninstall.

Available options:
SKIP_DESTROY

Response

The resource was deleted successfully